import { EventEmitter } from '@angular/core';
import { ComboBaseComponent } from '../base/combo-base.component';
import { ItemTemplateDirective } from '../base/template-base';
import { DataListComponent } from '../datalist/datalist.component';
export declare const COMBOBOX_PANEL_TEMPLATE = "\n\t<div #panel *ngIf=\"!panelClosed\" \n\t\t\tclass=\"panel-body panel-body-noheader combo-panel combo-p f-row\"\n\t\t\t[style.left.px]=\"panelLeft\"\n\t\t\t[style.top.px]=\"panelTop\"\n\t\t\t[ngStyle]=\"panelStyle\">\n\t\t<eui-datalist #datalist class=\"f-full\" itemCls=\"combobox-item\" hoverCls=\"combobox-item-hover\" selectedCls=\"combobox-item-selected\"\n\t\t\t\t[border]=\"false\"\n\t\t\t\t[data]=\"items\"\n\t\t\t\t[lazy]=\"lazy\"\n\t\t\t\t[virtualScroll]=\"virtualScroll\"\n\t\t\t\t[total]=\"total\"\n\t\t\t\t[pageNumber]=\"pageNumber\"\n\t\t\t\t[pageSize]=\"pageSize\"\n\t\t\t\t[rowHeight]=\"rowHeight\"\n\t\t\t\t[selectionMode]=\"multiple ? 'multiple' : 'single'\"\n\t\t\t\t[idField]=\"valueField\"\n\t\t\t\t[(selection)]=\"selection\"\n\t\t\t\t(rowClick)=\"onRowClick($event)\"\n\t\t\t\t(selectionChange)=\"onSelectionChange($event)\"\n\t\t\t\t(pageChange)=\"onPageChange($event)\">\n\t\t\t<ng-template euiItemTemplate let-row let-rowIndex=\"rowIndex\">\n\t\t\t\t<ng-container *ngIf=\"!itemTemplate\">{{row[textField]}}</ng-container>\n\t\t\t\t<ng-template *ngIf=\"itemTemplate\" [euiComboBoxItemTemplate]=\"itemTemplate.template\" [row]=\"row\" [rowIndex]=\"rowIndex\"></ng-template>\n\t\t\t</ng-template>\n\t\t</eui-datalist>\n\t</div>\n";
export declare const COMBOBOX_TEMPLATE: string;
export declare class ComboBoxComponent extends ComboBaseComponent<any> {
    datalist: DataListComponent;
    itemTemplate: ItemTemplateDirective;
    valueField: string;
    textField: string;
    groupField: string;
    limitToList: boolean;
    lazy: boolean;
    virtualScroll: boolean;
    rowHeight: number;
    pageNumber: number;
    pageSize: number;
    total: number;
    selection: any;
    filterChange: EventEmitter<{}>;
    selectionChange: EventEmitter<{}>;
    timer: any;
    mappingTexts: any;
    datalistScrollTop: number;
    inputingText: string;
    displayingText: string;
    lastFilterValue: string;
    items: any;
    _data: any[];
    _text: string;
    data: any[];
    text: string;
    ngAfterContentInit(): void;
    initTextMapping(): void;
    onRowClick(event: any): void;
    onSelectionChange(event: any): void;
    onPageChange(event: any): void;
    onKeyDown(event: any): void;
    onComboBoxBlur(): void;
    fixValue(): void;
    doFilter(value: string): void;
    openPanel(): void;
    closePanel(): void;
    updateText(): void;
    findItem(value: any): any;
    updateSelection(rows: any): void;
    clearSelections(): void;
}
