import { EventEmitter } from '@angular/core';
import { GridBaseComponent } from '../gridbase/grid-base.component';
import { GroupTemplateDirective, DetailTemplateDirective } from '../base/template-base';
export declare const DATAGRID_TEMPLATE = "\n\t<div class=\"panel-body panel-body-noheader datagrid datagrid-wrap f-full f-column\" \n\t\t\t[class.panel-body-noborder]=\"!border\">\n\t\t<eui-pagination *ngIf=\"pagination && (pagePosition=='both' || pagePosition=='top')\" class=\"datagrid-pager datagrid-pager-top f-noshrink\" \n\t\t\t\t[total]=\"total\" \n\t\t\t\t[pageSize]=\"pageSize\" \n\t\t\t\t[pageNumber]=\"pageNumber\" \n\t\t\t\t[loading]=\"loading\"\n\t\t\t\t(pageChange)=\"onPageChange($event)\"></eui-pagination>\n\t\t<div #view class=\"datagrid-view f-row f-full\">\n\t\t\t<eui-datagrid-view #view1 *ngIf=\"leftGroup || leftColumns\" \n\t\t\t\t\t[viewIndex]=\"1\" \n\t\t\t\t\t[columnGroup]=\"leftGroup\" \n\t\t\t\t\t[columns]=\"leftColumns\" \n\t\t\t\t\t[rows]=\"!virtualScroll && rows\" \n\t\t\t\t\t[footerRows]=\"footerRows\"\n\t\t\t\t\t[style.width]=\"leftFrozenWidth\"></eui-datagrid-view>\n\t\t\t<eui-datagrid-view #view2 \n\t\t\t\t\t[viewIndex]=\"2\" \n\t\t\t\t\t[columnGroup]=\"centerGroup\" \n\t\t\t\t\t[columns]=\"centerColumns\" \n\t\t\t\t\t[rows]=\"rows\"\n\t\t\t\t\t[footerRows]=\"footerRows\"\n\t\t\t\t\t(bodyScroll)=\"onBodyScroll($event)\"></eui-datagrid-view>\n\t\t\t<eui-datagrid-view #view3 *ngIf=\"rightGroup || rightColumns\" \n\t\t\t\t\t[viewIndex]=\"3\" \n\t\t\t\t\t[columnGroup]=\"rightGroup\" \n\t\t\t\t\t[columns]=\"rightColumns\" \n\t\t\t\t\t[rows]=\"!virtualScroll && rows\" \n\t\t\t\t\t[footerRows]=\"footerRows\"\n\t\t\t\t\t[style.width]=\"rightFrozenWidth\"></eui-datagrid-view>\n\t\t</div>\n\t\t<eui-pagination *ngIf=\"pagination && (pagePosition=='both' || pagePosition=='bottom')\" class=\"datagrid-pager f-noshrink\" \n\t\t\t\t[total]=\"total\" \n\t\t\t\t[pageSize]=\"pageSize\" \n\t\t\t\t[pageNumber]=\"pageNumber\" \n\t\t\t\t[loading]=\"loading\"\n\t\t\t\t(pageChange)=\"onPageChange($event)\"></eui-pagination>\n\t</div>\n\t<div *ngIf=\"loading\" class=\"datagrid-loading f-row\">\n\t\t<div class=\"datagrid-mask\"></div>\n\t\t<div class=\"datagrid-mask-msg\">{{loadMsg}}</div>\n\t</div>\n";
export declare class DataGridComponent extends GridBaseComponent {
    groupTemplate: GroupTemplateDirective;
    detailTemplate: DetailTemplateDirective;
    rowCss: any;
    idField: string;
    groupField: string;
    expanderWidth: number;
    rowExpand: EventEmitter<{}>;
    rowCollapse: EventEmitter<{}>;
    groupExpand: EventEmitter<{}>;
    groupCollapse: EventEmitter<{}>;
    groupData: any[];
    expandedRows: any[];
    setData(value: any[]): void;
    ngAfterViewInit(): void;
    updateFrozenView(scrollTop: number, rows: any[]): void;
    onBodyScroll(event: any): void;
    getRowIndex(row: any): any;
    getAbsoluteIndex(index: number): any;
    scrollTo(row: any): void;
    sortData(): void;
    isGroupRow(row: any): boolean;
    isGrouped(data: any): boolean;
    getGroup(value: any, groups?: any[]): any;
    makeGroup(data: any[]): any[];
    makeGroupedRows(): any[];
    collapseGroup(value: any): void;
    expandGroup(value: any): void;
    toggleGroup(value: any): void;
    getExpandedIndex(row: any): number;
    isRowExpanded(row: any): boolean;
    collapseRow(row: any): void;
    expandRow(row: any): void;
    toggleRow(row: any): void;
}
