import { EventEmitter, ElementRef } from '@angular/core';
import { PanelComponent } from '../panel/panel.component';
import { DraggableDirective } from '../draggable/draggable.directive';
import { ResizableDirective } from '../resizable/resizable.directive';
export declare const DIALOG_TEMPLATE = "\n\t<div #panel *ngIf=\"!closed\" class=\"panel f-column f-full\" [ngClass]=\"panelCls\" [ngStyle]=\"panelStyle\" \n\t\t\teuiDraggable euiResizable>\n\t\t<div #pheader *ngIf=\"hasHeader\"\n\t\t\t\tclass=\"panel-header f-noshrink\"\n\t\t\t\t[class.panel-header-noborder]=\"!border\"\n\t\t\t\t[ngClass]=\"headerCls\"\n\t\t\t\t[ngStyle]=\"headerStyle\">\n\t\t\t<ng-content select=\"eui-panel-header,eui-dialog-header\"></ng-content>\n\t\t\t<div *ngIf=\"!headers.length\" class=\"panel-title\" [class.panel-with-icon]=\"iconCls\">{{title}}</div>\n\t\t\t<div *ngIf=\"iconCls\" class=\"panel-icon {{iconCls}}\"></div>\n\t\t\t<div class=\"panel-tool\" *ngIf=\"collapsible || closable\">\n\t\t\t\t<a *ngIf=\"collapsible\" href=\"javascript:;\" [ngClass]=\"collapsed?expandIconCls:collapseIconCls\" (click)=\"onClickCollapsibleTool($event)\"></a>\n\t\t\t\t<a *ngIf=\"closable\" href=\"javascript:;\" [ngClass]=\"closeIconCls\" (click)=\"onClickCloseTool($event)\"></a>\n\t\t\t</div>\n\t\t</div>\n\t\t<div #pbody *ngIf=\"!isBodyCollapsed()\"\n\t\t\t\tclass=\"panel-body f-full\" \n\t\t\t\t[class.panel-body-noheader]=\"!hasHeader\" \n\t\t\t\t[class.panel-body-nobottom]=\"footers.length\" \n\t\t\t\t[class.panel-body-noborder]=\"!border\" \n\t\t\t\t[ngClass]=\"bodyCls\"\n\t\t\t\t[ngStyle]=\"bodyStyle\">\n\t\t\t<ng-content></ng-content>\n\t\t</div>\n\t\t<div #pfooter *ngIf=\"hasFooter\" \n\t\t\t\tclass=\"panel-footer\" \n\t\t\t\t[class.panel-footer-noborder]=\"!border\"\n\t\t\t\t[ngClass]=\"footerCls\"\n\t\t\t\t[ngStyle]=\"footerStyle\">\n\t\t\t<ng-content select=\"eui-panel-footer,eui-dialog-footer\"></ng-content>\n\t\t</div>\n\t</div>\n";
export declare class DialogComponent extends PanelComponent {
    hostRef: ElementRef;
    draggableRef: DraggableDirective;
    resizableRef: ResizableDirective;
    title: string;
    border: boolean;
    borderType: string;
    closable: boolean;
    modal: boolean;
    draggable: boolean;
    resizable: boolean;
    draggableOptions: Object;
    resizableOptions: Object;
    onOpen: EventEmitter<{}>;
    onClose: EventEmitter<{}>;
    maskEl: HTMLElement;
    initialized: boolean;
    _panelCls: string;
    _headerCls: string;
    _bodyCls: string;
    _footerCls: string;
    _closed: boolean;
    panelCls: string;
    headerCls: string;
    bodyCls: string;
    footerCls: string;
    closed: boolean;
    constructor(hostRef: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initDialog(): void;
    openMask(): void;
    closeMask(): void;
    open(): void;
    close(): void;
    displaying(): void;
    moveToTop(): void;
    hcenter(): void;
    vcenter(): void;
    center(): void;
    static zIndex: number;
}
