import { QueryList, ElementRef } from '@angular/core';
import { PanelHeaderComponent } from './panel-header.component';
import { PanelFooterComponent } from './panel-footer.component';
export declare const PANEL_TEMPLATE = "\n\t<div #panel *ngIf=\"!closed\" class=\"panel f-column f-full\" [ngClass]=\"panelCls\" [ngStyle]=\"panelStyle\">\n\t\t<div #pheader *ngIf=\"hasHeader\"\n\t\t\t\tclass=\"panel-header f-noshrink\"\n\t\t\t\t[class.panel-header-noborder]=\"!border\"\n\t\t\t\t[ngClass]=\"headerCls\"\n\t\t\t\t[ngStyle]=\"headerStyle\">\n\t\t\t<ng-content select=\"eui-panel-header,eui-dialog-header\"></ng-content>\n\t\t\t<div *ngIf=\"!headers.length\" class=\"panel-title\" [class.panel-with-icon]=\"iconCls\">{{title}}</div>\n\t\t\t<div *ngIf=\"iconCls\" class=\"panel-icon {{iconCls}}\"></div>\n\t\t\t<div class=\"panel-tool\" *ngIf=\"collapsible || closable\">\n\t\t\t\t<a *ngIf=\"collapsible\" href=\"javascript:;\" [ngClass]=\"collapsed?expandIconCls:collapseIconCls\" (click)=\"onClickCollapsibleTool($event)\"></a>\n\t\t\t\t<a *ngIf=\"closable\" href=\"javascript:;\" [ngClass]=\"closeIconCls\" (click)=\"onClickCloseTool($event)\"></a>\n\t\t\t</div>\n\t\t</div>\n\t\t<div #pbody *ngIf=\"!isBodyCollapsed()\"\n\t\t\t\tclass=\"panel-body f-full\" \n\t\t\t\t[class.panel-body-noheader]=\"!hasHeader\" \n\t\t\t\t[class.panel-body-nobottom]=\"footers.length\" \n\t\t\t\t[class.panel-body-noborder]=\"!border\" \n\t\t\t\t[ngClass]=\"bodyCls\"\n\t\t\t\t[ngStyle]=\"bodyStyle\">\n\t\t\t<ng-content></ng-content>\n\t\t</div>\n\t\t<div #pfooter *ngIf=\"hasFooter\" \n\t\t\t\tclass=\"panel-footer\" \n\t\t\t\t[class.panel-footer-noborder]=\"!border\"\n\t\t\t\t[ngClass]=\"footerCls\"\n\t\t\t\t[ngStyle]=\"footerStyle\">\n\t\t\t<ng-content select=\"eui-panel-footer,eui-dialog-footer\"></ng-content>\n\t\t</div>\n\t</div>\n";
export declare class PanelComponent {
    hostRef: ElementRef;
    panelRef: ElementRef;
    headerRef: ElementRef;
    bodyRef: ElementRef;
    footerRef: ElementRef;
    headers: QueryList<PanelHeaderComponent>;
    footers: QueryList<PanelFooterComponent>;
    title: string;
    iconCls: string;
    border: boolean;
    closed: boolean;
    collapsed: boolean;
    collapsible: boolean;
    closable: boolean;
    showHeader: boolean;
    showFooter: boolean;
    expandIconCls: string;
    collapseIconCls: string;
    closeIconCls: string;
    panelCls: string;
    panelStyle: Object;
    headerCls: string;
    headerStyle: Object;
    bodyCls: string;
    bodyStyle: Object;
    footerCls: string;
    footerStyle: Object;
    collapseToShrinkBody: boolean;
    readonly hasHeader: boolean;
    readonly hasFooter: boolean;
    isBodyCollapsed(): boolean;
    constructor(hostRef: ElementRef);
    onClickCollapsibleTool(event: any): void;
    onClickCloseTool(event: any): void;
}
